PDEC_CTRLBSET_Type Union Reference

## Data Fields

struct {
uint8_t __pad0__:1
uint8_t LUPD:1
uint8_t __pad1__:3
uint8_t CMD:3
} | bit
uint8_t | reg

## Detailed Description

Definition at line 180 of file pdec.h.

## Field Documentation

## __pad0__

uint8_t PDEC_CTRLBSET_Type::__pad0__

bit: 0 Reserved

Definition at line 182 of file pdec.h.

## __pad1__

uint8_t PDEC_CTRLBSET_Type::__pad1__

bit: 2.. 4 Reserved

Definition at line 184 of file pdec.h.

## bit

struct { ... } PDEC_CTRLBSET_Type::bit

Structure used for bit access

## CMD

uint8_t PDEC_CTRLBSET_Type::CMD

bit: 5.. 7 Command

Definition at line 185 of file pdec.h.

## LUPD

uint8_t PDEC_CTRLBSET_Type::LUPD

bit: 1 Lock Update

Definition at line 183 of file pdec.h.

## reg

uint8_t PDEC_CTRLBSET_Type::reg

Type used for register access

Definition at line 187 of file pdec.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/pdec.h